# This macro produces the colon (':') character.
#
# Producing a specific character while dealing with key presses and scan
# codes makes it an absolute necessity to be aware of the national layout
# being used.
#
# Use this macro if your national layout places the colon (':') character
# in the Shift layer of the SEMICOLON key (the one immediately to the right
# of the L key) - this applies to the following: Canadian bilingual,
# English (UK), English (USA), Maltese (both the 48-key and 47-key
# variants), etcetera.

  macro AUX1
    PUSH_META CLEAR_META all
    MAKE LSHIFT
    PRESS SEMICOLON
    BREAK LSHIFT
    POP_ALL_META
  endmacro

