# This macro produces the colon (':') character.
#
# Producing a specific character while dealing with key presses and scan
# codes makes it an absolute necessity to be aware of the national layout
# being used.
#
# Use this macro if your national layout places the colon (':') character
# in the Shift layer of the PERIOD (.) key - this applies to the following:
# Albanian, Danish, Dutch, Estonian, Faroese, German, Iberoamerican,
# Icelandic, Italian (both the 142 and 141 variants), New Italian,
# Norwegian, Portuguese (Portugal), Spanish (Latin America), Spanish
# (Spain), Swedish and Finnish, Swiss French, Swiss German, etcetera.

  macro AUX1
    PUSH_META CLEAR_META all
    MAKE LSHIFT
    PRESS PERIOD
    BREAK LSHIFT
    POP_ALL_META
  endmacro

