# Print Screen enhancements.
#
# This file should be included in the main macroblock of an .sc file.

  # The Windows key SUCKS, and we do NOT miss it if our keyboard lacks
  # it... except for its one useful feature: interactive screen capture,
  # available at Win-Shift-S. We map that to Shift-PrtScr, which is where
  # it should have been located in the first place, and live happily ever
  # after.
  macro PRINTSCREEN shift -ctrl -alt
    PUSH_META CLEAR_META all
    MAKE LGUI
    MAKE LSHIFT
    PRESS S
    BREAK LSHIFT
    BREAK LGUI
    POP_ALL_META
  endmacro

  # For unknown reasons, the Alt-PrtScr keystroke (but not the window
  # printing function it calls) does not work properly in Windows 10
  # anymore, so we map it to Ctrl-PrtScr.
  macro PRINTSCREEN ctrl -shift -alt
    PUSH_META CLEAR_META all
    MAKE LALT
    PRESS PRINTSCREEN
    BREAK LALT
    POP_ALL_META
  endmacro

