# This macro produces the equals sign ('=') character.
#
# Producing a specific character while dealing with key presses and scan
# codes makes it an absolute necessity to be aware of the national layout
# being used.
#
# Use this macro if your national layout places the equals sign ('=')
# character in the Shift layer of the SLASH key - this applies to the
# following: Dutch.

  macro PAD_EQUALS
    PUSH_META CLEAR_META all
    MAKE LSHIFT
    PRESS SLASH
    BREAK LSHIFT
    POP_ALL_META
  endmacro

