# This macro produces the equals sign ('=') character.
#
# Producing a specific character while dealing with key presses and scan
# codes makes it an absolute necessity to be aware of the national layout
# being used.
#
# Use this macro if your national layout places the equals sign ('=')
# character in the base layer of the RIGHT_BRACE key (the last alpha before
# the 1.5U BACKSLASH key) - this applies to the following: English (USA)
# Dvorak.

  macro PAD_EQUALS
    PUSH_META CLEAR_META all
    PRESS RIGHT_BRACE
    POP_ALL_META
  endmacro

