# Soarer Converter's configuration for PC (as opposed to terminal[*]) IBM
# Model M SSK keyboards (P/Ns 1390475, 1391472, 1392464, 1393278, 1395217,
# etcetera).
#
# [*] Yes, terminal SSK keyboards exist. They're VERY RARE.
#
# Additions:
# - Volume controls on Caps Lock.
# - Print Screen enhancements.
# - CONSTANT_NAMES_MODE.
#
# Author:  Miguel Farah.
# Date:    20200720.
# Version: 2.0.
# See:     http://www.farah.cl/SoarersConverterConfigFiles/
#
##### BEGIN ########

macroblock

include "Volume-CapsLock.inc"

include "PrtScr-enhancements.inc"

include "Constant-names_toggler.inc"

endblock


# No remapblock here, because we don't need to remap anything else.


include "Constant-names_layer.inc"

##### END ##########

