# Volume controls overloaded on Caps Lock. They are too useful to not have
# readily available.
#
# This file should be included in the main macroblock of an .sc file.

  macro CAPS_LOCK lctrl -shift -alt     # RCTRL is used by the CONSTANT_NAMES_MODE.
    PRESS MEDIA_VOLUME_DOWN
  endmacro

  macro CAPS_LOCK lalt  -shift -ctrl    # RALT is AltGr, so we do NOT use it here.
    PRESS MEDIA_VOLUME_UP
  endmacro

  macro CAPS_LOCK shift -ctrl  -alt     # Both SHIFT keys can be used.
    PRESS MEDIA_MUTE
  endmacro

  macro CAPS_LOCK shift lctrl  -alt     # Volume down, fast!
    PRESS MEDIA_VOLUME_DOWN
    PRESS MEDIA_VOLUME_DOWN
    DELAY 3
    PRESS MEDIA_VOLUME_DOWN
    PRESS MEDIA_VOLUME_DOWN
    DELAY 3
    PRESS MEDIA_VOLUME_DOWN
  endmacro

  macro CAPS_LOCK shift lalt   -ctrl    # Volume up, fast!
    PRESS MEDIA_VOLUME_UP
    PRESS MEDIA_VOLUME_UP
    DELAY 3
    PRESS MEDIA_VOLUME_UP
    PRESS MEDIA_VOLUME_UP
    DELAY 3
    PRESS MEDIA_VOLUME_UP
  endmacro

